@import '_content/ZXingBlazor/ZXingBlazor.55ptov32el.bundle.scp.css';

/* /Components/ActionButton.razor.rz.scp.css */
.btn[b-rgz87wezsw] {
    padding: 0.7rem 2rem;
    border-radius: 4px;
    font-weight: bold;
    cursor: pointer;
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
    align-self: end !important;
}
/* /Components/ConfirmModal.razor.rz.scp.css */
.container[b-1v3rfvnz8k] {
    text-align: center;
    padding: 2rem 0;
    font-weight: bolder;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.actions-btn[b-1v3rfvnz8k] {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}
/* /Components/FormDateInput.razor.rz.scp.css */
.input-group[b-7cmc71mk91] {
    display: flex;
    flex-direction: column;
    margin-bottom: 1.5rem;
}

.custom-input[b-7cmc71mk91] {
    border: none;
    border-bottom: 2px solid gray;
    transition: .5s all ease;
    outline: none !important;
    font-family: 'Sans Serif Collection';
}

.custom-input:focus[b-7cmc71mk91] {
    border-bottom: 2px solid blue; 
}
/* /Components/FormInput.razor.rz.scp.css */

.input-group[b-udgeerf873] {
    display: flex;
    flex-direction: column;
    margin: 1rem 0;
}

[b-udgeerf873] .custom-input {
    outline: none !important;
    border: none;
    margin: 0.5rem 0;
    font-size: 15px;
    transition: .5s all ease;
    border-bottom: 3px solid gray;
}

[b-udgeerf873] .custom-input:focus {
    outline: none;
    border: none;
    border-bottom: 3px solid blue;
}
/* /Components/FormInputNumeric.razor.rz.scp.css */
.input-group[b-h9fygly8zc] {
    display: flex;
    flex-direction: column;
    margin: 1rem 0;
}


[b-h9fygly8zc] .custom-input {
    outline: none !important;
    border: none;
    margin: 0.5rem 0;
    font-size: 15px;
    transition: .5s all ease;
    border-bottom: 3px solid gray;
}

    [b-h9fygly8zc] .custom-input:focus {
        outline: none;
        border: none;
        border-bottom: 3px solid blue;
    }
/* /Components/FormSelectSearch.razor.rz.scp.css */
.input-group[b-a0yuorsvkn] {
    margin-bottom: 1.5rem;
    outline: none !important;
    border: none;
}

[b-a0yuorsvkn] .select-style {
    width: 100%;
    outline: none !important;
    border: none !important;
    border-bottom: 2px solid gray !important;
    transition: .5s all ease;
}


[b-a0yuorsvkn] .select-style:focus {
    border-bottom: 2px solid blue !important;
}
/* /Components/ModuleButton.razor.rz.scp.css */
.action-btn[b-ulg60r5vb6] {
    width: 7vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 1rem;
    padding: 10px;
    border-radius: 6px;
    margin: 1rem 0;
    cursor: pointer;
    transition: .5s all ease;
    border: 1px solid white;
    justify-content: start;
    font-size: 13px;
}

    .action-btn:hover[b-ulg60r5vb6] {
        box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1);
        border: 1px solid #f0f0f0e0;
    }

[b-ulg60r5vb6] .action-icon {
    width: 1.3rem;
}

.icon-style[b-ulg60r5vb6] {
    position: relative;
    display: inline-flex;
    padding: 10px 0;
    width: 60%;
    justify-content: center;
}

[b-ulg60r5vb6] .badge {
    position: absolute;
    top: 0;
    right: 0;
    transform: translate(30%, -30%);
    z-index: 10;
    font-size: 0.7rem;
    padding: 3px 8px;
}
/* /Components/PdfViewerModal.razor.rz.scp.css */
.btn-section[b-sx96utdg8s]{
    display: flex;
    gap: 2rem;
    justify-content: end;
}
/* /Layout/LoginLayout.razor.rz.scp.css */
/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-axt6vl7pf8] {
    display: flex;
    flex-direction: column;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
}

.header[b-axt6vl7pf8] {
    background-color: blue;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    padding: 0 2rem;
    z-index: 100;
    height: 5vh;
}

.app-title[b-axt6vl7pf8] {
    font-weight: bold;
    display: flex;
    flex-direction: row;
    gap: 2rem;
    align-items: center;
    font-size: 18px;
}

.app-container[b-axt6vl7pf8] {
    display: flex;
    flex-direction: row;
    overflow: hidden;
}

.menu-icon[b-axt6vl7pf8] {
    width: 1.3rem;
    cursor: pointer;
}

.sidebar[b-axt6vl7pf8] {
    background-color: #ffffff;
    border-right: 1px solid #dddddd24;
    overflow-y: auto;
    min-width: 15vw;
    position: absolute;
    z-index: 100;
    height: 100% !important;
}

.content[b-axt6vl7pf8] {
    overflow-y: auto;
    padding: 1rem;
    transition: .5s all ease;
    background-color: #ffffff;
}

.show-sidebar[b-axt6vl7pf8] {
    display: block !important;
}

.hide-sidebar[b-axt6vl7pf8] {
    display: none !important;
}

.logout[b-axt6vl7pf8] {
    cursor: pointer;
}

.avatar-icon[b-axt6vl7pf8] {
    width: 2rem;
}

.topbar-rigth[b-axt6vl7pf8] {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 1vw;
}

.back[b-axt6vl7pf8] {
    background: #000000a1;
    width: 100% !important;
    position: absolute;
    z-index: 90;
    height: 100%;
}

/* Móviles grandes */
@media (min-width: 576px) {
}

/* Tablets  */
@media (min-width: 768px) {
    .sidebar[b-axt6vl7pf8] {
        position: relative;
        height: 100% !important;
    }
}

/* Laptops / Desktops pequeños */
@media (min-width: 992px) {
}

/* Pantallas Grandes */
@media (min-width: 1200px) {
}

/* Pantallas Extra Grandes */
@media (min-width: 1400px) {
}
/* /Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-bg0xhzlkpl] {
    background-color: white;
    color: black;
}

.top-row[b-bg0xhzlkpl] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-bg0xhzlkpl] {
    font-size: 1.1rem;
}

.bi[b-bg0xhzlkpl] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.nav-section[b-bg0xhzlkpl] {
    margin: 1rem 0;
    padding: 0 1rem;
    font-weight: bold;
}

.nav-icon[b-bg0xhzlkpl] {
    width: 25px;
    max-height: 25px;
    margin-right: 10px;
}

.nav-item[b-bg0xhzlkpl] {
    font-size: 0.8rem; 
}

    .nav-item:last-of-type[b-bg0xhzlkpl] {
        padding-bottom: 1rem;
    }

    .nav-item[b-bg0xhzlkpl]  a {
        color: black;
        text-decoration: none;
        height: 2.5rem;
        display: flex;
        align-items: center;
        padding: 0 1.5rem;
    }

        .nav-item[b-bg0xhzlkpl]  a.active {
            background-color: #dfdfdf;
            color: black;
        }

        .nav-item[b-bg0xhzlkpl]  a:hover {
            background-color: #dfdfdf;
            color: black;
        }

@media (min-width: 641px) {
    .navbar-toggler[b-bg0xhzlkpl] {
        display: none;
    }

    .collapse[b-bg0xhzlkpl] {
        display: block;
    }

    .nav-scrollable[b-bg0xhzlkpl] {
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* /Pages/Admin/IT/UsersPage.razor.rz.scp.css */
.note[b-f1jojnrxlr] {
    font-size: 13px;
}

.data-section[b-f1jojnrxlr] {
    margin-top: 4rem;
}

.search-section[b-f1jojnrxlr] {
    margin-bottom: 1rem;
    font-weight: bold;
    font-size: 14px;
}

.actions[b-f1jojnrxlr] {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}

.grid-section[b-f1jojnrxlr] {
    height: 50vh !important;
}

[b-f1jojnrxlr] .custom-grid {
    transition: .5s all ease !important;
    border: none;
}

[b-f1jojnrxlr] .rz-column-title-content {
    font-weight: bolder !important;
}
 
.grid-btn[b-f1jojnrxlr] {
    width: 1.1rem;
}
 
/* /Pages/Admin/IT/UsersPageForm.razor.rz.scp.css */
 .form-style[b-mnpzygvq3g] {
   display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 10vw !important;
}

.btn-section[b-mnpzygvq3g] {
    justify-content: end;
    display: flex; 
    flex-direction: row;
    width: 100% !important;
}

/* /Pages/Admin/IT/UsersPagePermissions.razor.rz.scp.css */
body[b-ewnsulr8kg] {
}
/* /Pages/Auth/Login.razor.rz.scp.css */
.page[b-u8z33fuenx] {
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.container[b-u8z33fuenx] {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.form-login[b-u8z33fuenx] {
    display: flex;
    flex-direction: column !important;
    gap: 1rem;
    width: 80vw;
}

.img-logo[b-u8z33fuenx] {
    width: 12rem;
    height: 5rem;
    align-self: center;
}

.login-section[b-u8z33fuenx] {
    border-radius: 6px;
    padding: 1rem 3rem;
    border: 1px solid #8080802e;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    text-align: left;
}

.title[b-u8z33fuenx] {
    font-size: 22px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 2rem;
    border-bottom: 1px solid gray;
}

    .title > p[b-u8z33fuenx] {
        margin: 1rem !important;
        padding: 0 !important;
    }

[b-u8z33fuenx] .form {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

    [b-u8z33fuenx] .form > section {
        display: flex;
        flex-direction: column;
    }
     

/* --- Dispositivos Pequeños (Móviles en vertical/horizontal) --- */
@media (min-width: 576px) and (max-width: 767.98px) {
    .form-login[b-u8z33fuenx] {
        width: 60vw;
    }
}

/* --- Tablets --- */
@media (min-width: 768px) and (max-width: 991.98px) {
    .form-login[b-u8z33fuenx] {
        width: 50vw;
    }
}

/* --- Laptops y Pantallas Grandes --- */
@media (min-width: 992px) and (max-width: 1199.98px) {
    .form-login[b-u8z33fuenx] {
        width: 40vw; 
    }
}

/* --- Monitores Extra Grandes (Desktop) --- */
@media (min-width: 1200px) {
    .form-login[b-u8z33fuenx] {
        width: 22vw; 
    }
}
/* /Pages/Operations/CollectionServices/CollectionForm.razor.rz.scp.css */
.form-style[b-15l5jicnun]  form {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 1rem;
    width: 100% !important;
}

.btn-section[b-15l5jicnun] {
    justify-content: end;
    display: flex;
    flex-direction: row;
    width: 100% !important;
    grid-column: span 3;  
}

[b-15l5jicnun] .textarea {
    grid-column: span 3;
}
/* /Pages/Operations/CollectionServices/Filters.razor.rz.scp.css */
.btn-section[b-x7mjxc1pw1] {
    display: flex;
    justify-content: space-between;
}
/* /Pages/Operations/CollectionServices/Services.razor.rz.scp.css */
.module[b-eadn1p45b3] {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 70vw !important;
}

.note[b-eadn1p45b3] {
    font-size: 14px;
}

.container[b-eadn1p45b3] {
    background: white;
    border-bottom: 1px solid gray;
    padding: 1rem;
    width: 100%;
    text-align: center;
}

[b-eadn1p45b3] .custom-grid {
    transition: .5s all ease !important;
    border: none;
}

.data[b-eadn1p45b3] {
    display: grid;
    grid-template-columns: repeat(1, minmax(0, 1fr));
    gap: 1rem;
}

.data-item[b-eadn1p45b3] {
    border: 1px solid #80808061;
    padding: 0.5rem 1rem;
    max-width: 30vw;
    border-radius: 6px;
    display: flex;
    width: 100%;
    flex-direction: column;
    gap: 10px;
    cursor: pointer;
    transition: .5s all ease;
}

    .data-item:hover[b-eadn1p45b3] {
        box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1);
    }

.data-item-subtitle[b-eadn1p45b3] {
    font-size: 10px;
}

.data-item-title[b-eadn1p45b3] {
    font-size: 14px;
    font-weight: bold;
}

.grid-actions[b-eadn1p45b3] {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    justify-content: center;
}

.grid-status[b-eadn1p45b3] {
    display: flex;
    flex-direction: row;
    font-size: 11px !important;
    justify-content: space-between;
}

    .grid-status > div[b-eadn1p45b3] {
        width: 100%;
    }

.rz-grid-table td[b-eadn1p45b3] {
    background: white !important;
}

.actions[b-eadn1p45b3] {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    transition: .5s all ease;
}

[b-eadn1p45b3] .hide-button {
    max-width: 0;
    margin: 0;
    padding: 0;
    opacity: 0;
    overflow: hidden;
    pointer-events: none;
    border: none;
    transform: scale(0);
    transition: all 0.5s ease;
}

[b-eadn1p45b3] .module-button-style {
    max-width: 300px; 
    transition: all 0.5s ease;
    display: inline-flex;
    overflow: hidden;
    white-space: nowrap;
}
/* /Pages/Operations/Operator/CaptureEvidences.razor.rz.scp.css */
body[b-qcfv9zzg71] {
}
/* /Pages/Operations/Operator/CaptureForm.razor.rz.scp.css */
.steps-nav[b-klm0ktm7c6] {
    display: flex;
    justify-content: space-between;
}


[b-klm0ktm7c6] .steps-container .rz-steps-item > button {
    display: flex !important;
    flex-direction: column !important;
    align-content: center !important;
    justify-content: center !important;
    align-items: center !important;
}

[b-klm0ktm7c6] .steps-container .rz-steps-item .rz-steps-title {
    font-size: 13px !important;
    margin-top: 5px;
}

[b-klm0ktm7c6] .steps-container > ul {
    display: flex;
    justify-content: space-between;
}

.step-container[b-klm0ktm7c6] {
    padding: 1rem 0 2rem 0;
}

.video-section[b-klm0ktm7c6] {
    width: 100% !important;
    height: 100% !important;
    border-radius: 18px;
}
 
[b-klm0ktm7c6] .step-completed .rz-steps-number {
    background: green !important;
}

[b-klm0ktm7c6] .step-completed button {
    display: flex;
    flex-direction: column;
}

[b-klm0ktm7c6] .step-completed .rz-steps-title {
    margin-top: 5px;
}
/* /Pages/Operations/Operator/Collections.razor.rz.scp.css */
.page-title[b-puv7d33mbz] {
    font-size: 18px;
}

.title[b-puv7d33mbz] {
    border-bottom: 2px solid gray;
    padding: 0.5rem;
    text-align: center;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.item-container[b-puv7d33mbz] {
    border: 1px solid #8080805e;
    padding: 1rem;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: 1.5rem 0;
    cursor: pointer;
}

.font-bold-gray[b-puv7d33mbz] {
    font-weight: bolder;
    color: gray;
}

.font-bold-black[b-puv7d33mbz] {
    font-weight: bolder;
}

.footer[b-puv7d33mbz] {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
